<xml> </xml>

db4o |

# StoredField Methods

The methods of the StoredField interface are listed below. For a complete list of StoredField interface members, see the StoredField Members topic.

#### Public Instance Methods

Get | returns the field value on the passed object.
GetName | returns the name of the field.
GetStoredType | returns the Class (Java) / Type (.NET) of the field.
IsArray | returns true if the field is an array.
Rename | modifies the name of this stored field.
TraverseValues | specialized highspeed API to collect all values of a field for all instances of a class, if the field is indexed.

#### See Also

StoredField Interface | com.db4o.ext Namespace